Bug 1249787 - filezilla segfaults when launched from gnome-terminal
filezilla segfaults when launched from gnome-terminal
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: filezilla (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-03 16:10 EDT by Allen Hewes
Modified: 2015-08-03 17:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-03 17:15:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Allen Hewes 2015-08-03 16:10:17 EDT
Description of problem:
When launching filezilla from a gnome-terminal, it segfaults:

$ filezilla 
Fatal Error: Mismatch between the program and library build versions detected.
The library used 3.0 (wchar_t,compiler with C++ ABI 1002,wx containers,compatible with 2.8),
and wxCore used 3.0 (wchar_t,compiler with C++ ABI 1008,wx containers,compatible with 2.8).
Aborted (core dumped)


Version-Release number of selected component (if applicable):
$ rpm -q filezilla wxGTK3 --queryformat "%{NAME}-%{VERSION}-%{RELEASE}\n"
filezilla-3.11.0.2-1.fc22
wxGTK3-3.0.2-8.fc22


How reproducible:
100%, on an update-to-date Fedora 22 host, run filezilla in gnome-terminal.

This has been reported before in:
https://bugzilla.redhat.com/show_bug.cgi?id=1210239
https://bugzilla.redhat.com/show_bug.cgi?id=1211002


Steps to Reproduce:
1. run a gnome-terminal
2. run filezilla

Actual results:
$ filezilla 
Fatal Error: Mismatch between the program and library build versions detected.
The library used 3.0 (wchar_t,compiler with C++ ABI 1002,wx containers,compatible with 2.8),
and wxCore used 3.0 (wchar_t,compiler with C++ ABI 1008,wx containers,compatible with 2.8).
Aborted (core dumped)


Expected results:
Filezilla runs/loads without errors.


Additional info:
$ uname -a
Linux foureyes.decisiv.net 4.1.3-200.fc22.x86_64 #1 SMP Wed Jul 22 19:51:58 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

$ sudo dnf update
Last metadata expiration check performed 0:08:36 ago on Mon Aug  3 15:52:18 2015.
Dependencies resolved.
Nothing to do.
Complete!


$ rpm -qi filezilla
Name        : filezilla
Version     : 3.11.0.2
Release     : 1.fc22
Architecture: x86_64
Install Date: Mon 03 Aug 2015 03:59:00 PM EDT
Group       : Applications/Internet
Size        : 14756635
License     : GPLv2+
Signature   : RSA/SHA256, Thu 04 Jun 2015 09:58:27 PM EDT, Key ID 11adc0948e1431d5
Source RPM  : filezilla-3.11.0.2-1.fc22.src.rpm
Build Date  : Wed 03 Jun 2015 10:25:28 AM EDT
Build Host  : buildhw-07.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : http://filezilla-project.org/
Summary     : FTP, FTPS and SFTP client
Description :
FileZilla is a FTP, FTPS and SFTP client for Linux with a lot of features.
- Supports FTP, FTP over SSL/TLS (FTPS) and SSH File Transfer Protocol (SFTP)
- Cross-platform
- Available in many languages
- Supports resume and transfer of large files >4GB
- Easy to use Site Manager and transfer queue
- Drag & drop support
- Speed limits
- Filename filters
- Network configuration wizard

$ rpm -qi wxGTK3
Name        : wxGTK3
Version     : 3.0.2
Release     : 8.fc22
Architecture: x86_64
Install Date: Tue 07 Jul 2015 01:42:45 AM EDT
Group       : System Environment/Libraries
Size        : 21200621
License     : wxWidgets
Signature   : RSA/SHA256, Tue 23 Jun 2015 01:33:25 PM EDT, Key ID 11adc0948e1431d5
Source RPM  : wxGTK3-3.0.2-8.fc22.src.rpm
Build Date  : Mon 22 Jun 2015 01:22:41 PM EDT
Build Host  : buildvm-17.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : http://www.wxwidgets.org/
Summary     : GTK port of the wxWidgets GUI library
Description :
wxWidgets is the GTK port of the C++ cross-platform wxWidgets
GUI library, offering classes for all common GUI controls as well as a
comprehensive set of helper classes for most common application tasks,
ranging from networking to HTML display and image manipulation.
Comment 1 Allen Hewes 2015-08-03 17:15:05 EDT
I found the issue: the codelite project RPM I was using, has "private" versions of libwx_base* showing up in ldconfig -p (/usr/lib64/codelite/libwx_base*). I removed codelite and filezilla works.

Note You need to log in before you can comment on or make changes to this bug.